summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLW-archlinux2019-07-11 18:32:20 +0200
committerLW-archlinux2019-07-11 18:32:20 +0200
commit4ca59ec7bb5130ab18370997ba68f672e78e2238 (patch)
tree1a9aa90dcad2ad2c5af0dbb880dfa7ff3cbb431d
parent180a4594499faaac62e16d0c38ef6c793c5bd920 (diff)
downloadaur-4ca59ec7bb5130ab18370997ba68f672e78e2238.tar.gz
cleaned up provides
-rw-r--r--.SRCINFO38
-rw-r--r--PKGBUILD13
2 files changed, 22 insertions, 29 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 14875f8014e..8c5da443a09 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,5 +1,5 @@
pkgbase = llvm-git
- pkgver = 9.0.0_r321346.e23be09e66d
+ pkgver = 9.0.0_r321380.709d611cf20
pkgrel = 1
url = https://llvm.org/
arch = x86_64
@@ -28,31 +28,24 @@ pkgbase = llvm-git
pkgname = llvm-git
pkgdesc = LLVM development version. includes clang and many other tools
- depends = llvm-libs-git=9.0.0_r321346.e23be09e66d-1
+ depends = llvm-libs-git=9.0.0_r321380.709d611cf20-1
depends = perl
optdepends = python: for scripts
optdepends = python-setuptools: for using lit (LLVM Integrated Tester)
optdepends = ocaml: for ocaml support
provides = aur-llvm-git
- provides = compiler-rt-git=9.0.0_r321346.e23be09e66d-1
- provides = clang-git=9.0.0_r321346.e23be09e66d-1
- provides = lld-git=9.0.0_r321346.e23be09e66d-1
- provides = lldb-git=9.0.0_r321346.e23be09e66d-1
- provides = polly-git=9.0.0_r321346.e23be09e66d-1
- provides = llvm-ocaml-git=9.0.0_r321346.e23be09e66d-1
- provides = compiler-rt=9.0.0_r321346.e23be09e66d-1
- provides = clang=9.0.0_r321346.e23be09e66d-1
- provides = lld=9.0.0_r321346.e23be09e66d-1
- provides = lldb=9.0.0_r321346.e23be09e66d-1
- provides = polly=9.0.0_r321346.e23be09e66d-1
- provides = llvm-ocaml=9.0.0_r321346.e23be09e66d-1
- provides = llvm-svn
- provides = compiler-rt-svn
- provides = clang-svn
- provides = lld-svn
- provides = lldb-svn
- provides = polly-svn
- provides = llvm-ocaml-svn
+ provides = compiler-rt-git=9.0.0_r321380.709d611cf20-1
+ provides = clang-git=9.0.0_r321380.709d611cf20-1
+ provides = lld-git=9.0.0_r321380.709d611cf20-1
+ provides = lldb-git=9.0.0_r321380.709d611cf20-1
+ provides = polly-git=9.0.0_r321380.709d611cf20-1
+ provides = llvm-ocaml-git=9.0.0_r321380.709d611cf20-1
+ provides = compiler-rt=9.0.0_r321380.709d611cf20-1
+ provides = clang=9.0.0_r321380.709d611cf20-1
+ provides = lld=9.0.0_r321380.709d611cf20-1
+ provides = lldb=9.0.0_r321380.709d611cf20-1
+ provides = polly=9.0.0_r321380.709d611cf20-1
+ provides = llvm-ocaml=9.0.0_r321380.709d611cf20-1
conflicts = llvm
conflicts = compiler-rt
conflicts = clang
@@ -70,7 +63,6 @@ pkgname = llvm-libs-git
depends = ncurses
depends = libxml2
provides = aur-llvm-libs-git
- provides = llvm-libs=9.0.0_r321346.e23be09e66d-1
- provides = llvm-libs-svn=9.0.0_r321346.e23be09e66d-1
+ provides = llvm-libs=9.0.0_r321380.709d611cf20-1
conflicts = llvm-libs
diff --git a/PKGBUILD b/PKGBUILD
index b36a5830a49..dee70e77fbf 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -15,7 +15,7 @@
pkgname=('llvm-git' 'llvm-libs-git')
-pkgver=9.0.0_r321346.e23be09e66d
+pkgver=9.0.0_r321380.709d611cf20
pkgrel=1
_ocaml_ver=4.07.1
arch=('x86_64')
@@ -125,10 +125,11 @@ package_llvm-git() {
'python-setuptools: for using lit (LLVM Integrated Tester)'
'ocaml: for ocaml support')
# yes, I know polly is not in official repos. It just feels cleaner to list it
- provides=(aur-llvm-git compiler-rt-git=$pkgver-$pkgrel clang-git=$pkgver-$pkgrel lld-git=$pkgver-$pkgrel lldb-git=$pkgver-$pkgrel polly-git=$pkgver-$pkgrel llvm-ocaml-git=$pkgver-$pkgrel
- compiler-rt=$pkgver-$pkgrel clang=$pkgver-$pkgrel lld=$pkgver-$pkgrel lldb=$pkgver-$pkgrel polly=$pkgver-$pkgrel llvm-ocaml=$pkgver-$pkgrel
- 'llvm-svn' 'compiler-rt-svn' 'clang-svn' 'lld-svn' 'lldb-svn' 'polly-svn' 'llvm-ocaml-svn'
- )
+ provides=(aur-llvm-git
+ compiler-rt-git=$pkgver-$pkgrel clang-git=$pkgver-$pkgrel lld-git=$pkgver-$pkgrel lldb-git=$pkgver-$pkgrel polly-git=$pkgver-$pkgrel llvm-ocaml-git=$pkgver-$pkgrel
+ compiler-rt=$pkgver-$pkgrel clang=$pkgver-$pkgrel lld=$pkgver-$pkgrel lldb=$pkgver-$pkgrel polly=$pkgver-$pkgrel llvm-ocaml=$pkgver-$pkgrel
+ )
+ # A package always provides itself, so there's no need to provide llvm-git
conflicts=('llvm' 'compiler-rt' 'clang' 'lld' 'lldb' 'polly' 'llvm-ocaml')
pushd _build
@@ -181,7 +182,7 @@ package_llvm-git() {
package_llvm-libs-git() {
pkgdesc="runtime libraries for llvm-git"
depends=('gcc-libs' 'zlib' 'libffi' 'libedit' 'ncurses' 'libxml2')
- provides=(aur-llvm-libs-git llvm-libs=$pkgver-$pkgrel llvm-libs-svn=$pkgver-$pkgrel)
+ provides=(aur-llvm-libs-git llvm-libs=$pkgver-$pkgrel)
conflicts=('llvm-libs')
install -d "$pkgdir"/usr/lib